aboutsummaryrefslogtreecommitdiff
path: root/test/T100-search-by-folder.sh
diff options
context:
space:
mode:
authorJani Nikula <jani@nikula.org>2017-09-25 23:38:19 +0300
committerDavid Bremner <david@tethera.net>2017-10-20 19:52:49 -0300
commita863de1e43ee34f6f5794a2759fdceb287e851aa (patch)
tree3e3b39e88ef26ea1952afdfca42134e3944d7fec /test/T100-search-by-folder.sh
parent0dd58ea7e7f2af3fea2ba747a49c1d8bb3cdeaad (diff)
test: use $(dirname "$0") for sourcing test-lib.sh
Don't assume the tests are always run from within the source tree.
Diffstat (limited to 'test/T100-search-by-folder.sh')
-rwxr-xr-xtest/T100-search-by-folder.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/test/T100-search-by-folder.sh b/test/T100-search-by-folder.sh
index 79c266e4..a090f3d2 100755
--- a/test/T100-search-by-folder.sh
+++ b/test/T100-search-by-folder.sh
@@ -1,6 +1,6 @@
#!/usr/bin/env bash
test_description='"notmuch search" by folder: and path: (with variations)'
-. ./test-lib.sh || exit 1
+. $(dirname "$0")/test-lib.sh || exit 1
add_message '[dir]=bad' '[subject]="To the bone"'
add_message '[dir]=.' '[subject]="Top level"'